petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGetType

Gets the PC method type and name (as a string) from the PC context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetType(PC pc,PCType *type)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

type -name of preconditioner method

### Keywords

PC, get, method, name, type

### See Also

PCSetType()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages